Subject: bug#500 closed by Chong Yidong <[email-masked]> (Re: GTK Emacs stops reacting to keyboard events after cancelling menu by hitting Escape)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#500: GTK Emacs stops reacting to keyboard events after cancelling menu by hitting Escape

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
500: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=500
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Thu Jul 24 06:13:10 2008
From: Chong Yidong <[email-masked]>
To: Jan =?utf-8?Q?Dj=C3=A4rv?= <[email-masked]>
Cc: [email-masked]
Subject: Re: GTK Emacs stops reacting to keyboard events after cancelling menu by hitting Escape
Date: Thu, 24 Jul 2008 09:13:01 -0400

Jan Dj=C3=A4rv <[email-masked]> writes:

> I've checked in a fix.  I haven't kept up with Emacs, it has been a busy
> summer, and on top of that I broke my hand.  So if you can put this bug i=
n its
> proper state, I'd be greatful.  I'll get back into it in the fall.

Thanks very much.  Closing the bug.

>From [email-masked] Sun Jun 29 03:55:32 2008
To: [email-masked]
Subject: GTK Emacs stops reacting to keyboard events after cancelling menu by hitting Escape
From: Andrey <[email-masked]>
Date: Sun, 29 Jun 2008 14:55:17 +0400

To reproduce:

0) Make sure you run GTK Emacs and the main menu is on.

1) Click on any main menu item. The drop-down menu with child items
   will appear.

2) Move mouse down so it is over one of the child items (but not
   separator).

3) Hit Escape to cancel the menu. The menu will disappear (it is the
   expected behavior).

4) Press any key. Nothing happens.

5) Click on Emacs buffer. Nothing happens. Emacs looks frozen.

To workaround:

Click on any main menu item and hit Escape *immediately*. Emacs is
back to life.

This bug is minor but may be very frustrating for novice users. I'm
ready to provide any additional info.

Good luck,
Andrey Paramonov

In GNU Emacs 22.2.1 (i486-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-04-27 on raven, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10400090
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs22:/etc/emacs:/usr/local/share/emacs/22.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/22.2/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/22.2/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ru_RU.UTF-8
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Major mode: ESS Help

Minor modes in effect:
  TeX-PDF-mode: t
  csv-field-index-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  pc-selection-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <C-end> <C-up> <left> 
<C-backspace> <C-backspace> <C-backspace> <C-backspace> 
<C-backspace> <C-backspace> <C-backspace> <left> <C-backspace> 
r a n g e ( t i m e ( <C-right> ) <left> <left> a d 
<backspace> l l d a t a <return> ) <return> <C-up> 
<C-up> ) <return> <f6> <escape> <escape> <escape> <up> 
<up> <backspace> <down> <down> <return> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <up> <up> <backspace> <down> <return> 
<up> <up> <up> <up> <up> <up> <up> <down> <down> <down> 
<down> <down> <down> <backspace> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <backspace> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> C-c C-z <C-up> <C-up> <C-up> <C-up> ) <C-left> 
<C-left> <C-left> <C-left> <C-left> <C-left> <C-left> 
<C-left> r o w n a m e s ( <return> <C-up> <left> <left> 
<left> <right> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<return> <C-up> <f6> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <escape> <escape> 
<escape> C-c C-z <C-backspace> <C-backspace> <C-backspace> 
<C-backspace> <C-backspace> a s . z o o r e g <left> 
<left> C-c C-v <return> C-c C-v a s . z o o r e g <return> 
<f6> <f10> <help-echo> <help-echo> <help-echo> <down> 
<down> <down> <down> <down> <down> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <menu-bar> 
<help-menu> <send-emacs-bug-report>

Recent messages:
History item: 1 [6 times]
History item: 2
History item: 1
History item: 2
History item: 3
History item: 4
History item: 1 [2 times]
Auto-saving...done
Loading emacsbug...done
call-interactively: End of buffer